%global modulename unist-util-find-all-after

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-unist-util-find-all-after
Version:        1.0.2
Release:        1%{?dist}
Summary:        Utility to find nodes after another node

License:        MIT
URL:            https://github.com/syntax-tree/unist-util-find-all-after#readme
Source0:        https://registry.npmjs.org/unist-util-find-all-after/-/unist-util-find-all-after-1.0.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(unist-util-is) >= 2.0.0 with npmlib(unist-util-is) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Utility to find nodes after another node

%package 1.0.2
Summary:        Utility to find nodes after another node


%description 1.0.2
Utility to find nodes after another node

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .editorconfig %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .prettierignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.2
%doc readme.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 1.0.2-1
- Package automatically generated by npm2srpm
